Module ij
Package ij.plugin

# Class BatchProcessor

java.lang.Object
ij.plugin.BatchProcessor

All Implemented Interfaces:
  `PlugIn`, `ActionListener`, `ItemListener`, `Runnable`, `EventListener`

public class BatchProcessor extends Object implements PlugIn, ActionListener, ItemListener, Runnable
This plugin implements the File/Batch/Macro and File/Batch/Virtual Stack commands.

## Constructor Summary

Constructors
Constructor
Description
`BatchProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
`void`
`itemStateChanged(ItemEvent e)`
`static String`
`openMacroFromJar(String name)`
`void`
`run()`
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`static void`
`saveOutput(boolean b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BatchProcessor

public BatchProcessor()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### itemStateChanged

public void itemStateChanged(ItemEvent e)

Specified by:
  `itemStateChanged` in interface `ItemListener`

### openMacroFromJar

public static String openMacroFromJar(String name)

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### saveOutput

public static void saveOutput(boolean b)